Skip to content
LydieDevelopers
Menu

Rename a workspace

View as Markdown
PATCH/v1/workspaces/{workspaceId}
Request
curl -X PATCH "https://api.lydie.co/v1/workspaces/01JCQ3TZ0WJ8K4M2X7T9R6N1PA" \
  -H "Authorization: Bearer $LYDIE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Notes"
  }'

Path parameters

Body

  • namestringrequired· 1–200 chars

Response

200
{
  "id": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
  "name": "Notes",
  "role": "owner",
  "createdAt": "2026-11-12T09:30:00.000Z",
  "updatedAt": "2026-11-12T09:30:00.000Z"
}

Errors use one envelope for every endpoint. See Errors and versions.